import matplotlib.pyplot as plt
import seaborn as sns
import numpy as np

def coth(x):
    return 1/np.tanh(x)

def func(x):
    return -3*x**2 *(1-coth(x)**2)

plt.figure(figsize=(3,3))
x=np.linspace(.2,50,1000)
CV = func(x)
print(CV)
plt.plot(1/x, CV)
plt.xlabel(r"$\frac{2 k_BT}{\hbar \omega}$")
plt.ylabel(r"$\frac{C_V}{k_B}$")
plt.savefig("latex_template_plot.pdf",bbox_inches='tight')